function consmodes=modecons(handles)

cons1=get(handles.checkbox1,'Value');
cons2=get(handles.checkbox2,'Value');
cons3=get(handles.checkbox3,'Value');
cons4=get(handles.checkbox4,'Value');
cons5=get(handles.checkbox5,'Value');
cons6=get(handles.checkbox6,'Value');
cons7=get(handles.checkbox7,'Value');
cons8=get(handles.checkbox8,'Value');
cons9=get(handles.checkbox9,'Value');
cons10=get(handles.checkbox10,'Value');
cons11=get(handles.checkbox11,'Value');
cons12=get(handles.checkbox12,'Value');
cons13=get(handles.checkbox13,'Value');
cons14=get(handles.checkbox14,'Value');
cons = [cons1 cons2 cons3 cons4 cons5 cons6 cons7 cons8 cons9 cons10 cons11 cons12 cons13 cons14];
consmodes=find(cons);
